### Method

# EDataServer SourceProxy set_http_auth_user

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_http_auth_user (
      ESourceProxy* extension,
      const gchar* http_auth_user
    )

#### Description [src]

Sets the user name to pass as authentication when doing HTTP proxying and `ESourceProxy:http-use-auth` is `TRUE`.

Available since: 3.12

Sets property | `EDataServer.SourceProxy:http-auth-user`

#### Parameters

`http_auth_user`

  Type: `const gchar*`

  HTTP proxy username.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.